// Code generated by go-swagger; DO NOT EDIT.

package ansible

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the generate command

import (
	"net/http"

	"github.com/go-openapi/runtime/middleware"
)

// AnsibleRoleGenerateHandlerFunc turns a function with the right signature into a ansible role generate handler
type AnsibleRoleGenerateHandlerFunc func(AnsibleRoleGenerateParams) middleware.Responder

// Handle executing the request and returning a response
func (fn AnsibleRoleGenerateHandlerFunc) Handle(params AnsibleRoleGenerateParams) middleware.Responder {
	return fn(params)
}

// AnsibleRoleGenerateHandler interface for that can handle valid ansible role generate params
type AnsibleRoleGenerateHandler interface {
	Handle(AnsibleRoleGenerateParams) middleware.Responder
}

// NewAnsibleRoleGenerate creates a new http.Handler for the ansible role generate operation
func NewAnsibleRoleGenerate(ctx *middleware.Context, handler AnsibleRoleGenerateHandler) *AnsibleRoleGenerate {
	return &AnsibleRoleGenerate{Context: ctx, Handler: handler}
}

/*AnsibleRoleGenerate swagger:route POST /api/ansible/generate Ansible ansibleRoleGenerate

Ansible role template generate

*/
type AnsibleRoleGenerate struct {
	Context *middleware.Context
	Handler AnsibleRoleGenerateHandler
}

func (o *AnsibleRoleGenerate) ServeHTTP(rw http.ResponseWriter, r *http.Request) {
	route, rCtx, _ := o.Context.RouteInfo(r)
	if rCtx != nil {
		r = rCtx
	}
	var Params = NewAnsibleRoleGenerateParams()

	if err := o.Context.BindValidRequest(r, route, &Params); err != nil { // bind params
		o.Context.Respond(rw, r, route.Produces, route, err)
		return
	}

	res := o.Handler.Handle(Params) // actually handle the request

	o.Context.Respond(rw, r, route.Produces, route, res)

}
